org.apache.nutch.storage

## Class Host.Tombstone

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.gora.persistency.impl.PersistentBase
    - - org.apache.nutch.storage.Host
      - - org.apache.nutch.storage.Host.Tombstone

- All Implemented Interfaces:
    Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Dirtyable, org.apache.gora.persistency.Persistent, org.apache.gora.persistency.Tombstone
  Enclosing class:
    Host

      public static final class Host.Tombstone
      extends Host
      implements org.apache.gora.persistency.Tombstone

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.nutch.storage.Host

      `Host.Builder, Host.Field, Host.Tombstone`

    - ### Nested classes/interfaces inherited from class org.apache.gora.persistency.impl.PersistentBase

      `org.apache.gora.persistency.impl.PersistentBase.PersistentData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.storage.Host

      `_ALL_FIELDS, SCHEMA$`

    - ### Fields inherited from interface org.apache.gora.persistency.Persistent

      `DIRTY_BYTES_FIELD_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<CharSequence,CharSequence>` | `getInlinks()` Gets the value of the 'inlinks' field.
    `Map<CharSequence,ByteBuffer>` | `getMetadata()` Gets the value of the 'metadata' field.
    `Map<CharSequence,CharSequence>` | `getOutlinks()` Gets the value of the 'outlinks' field.
    `boolean` | `isInlinksDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'inlinks' field.
    `boolean` | `isMetadataDirty(Map<CharSequence,ByteBuffer> value)` Checks the dirty status of the 'metadata' field.
    `boolean` | `isOutlinksDirty(Map<CharSequence,CharSequence> value)` Checks the dirty status of the 'outlinks' field.
    `void` | `setInlinks(Map<CharSequence,CharSequence> value)` Sets the value of the 'inlinks' field.
    `void` | `setMetadata(Map<CharSequence,ByteBuffer> value)` Sets the value of the 'metadata' field.
    `void` | `setOutlinks(Map<CharSequence,CharSequence> value)` Sets the value of the 'outlinks' field.

    - ### Methods inherited from class org.apache.nutch.storage.Host

      `contains, get, getFieldsCount, getInt, getLong, getSchema, getTombstone, getValue, newBuilder, newBuilder, newBuilder, newInstance, put`

    - ### Methods inherited from class org.apache.gora.persistency.impl.PersistentBase

      `clear, clearDirty, clearDirty, clearDirty, equals, getUnmanagedFields, isDirty, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.gora.persistency.Persistent

      `clear, clearDirty, clearDirty, getUnmanagedFields, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from interface org.apache.gora.persistency.Dirtyable

      `clearDirty, isDirty`

- - ### Method Detail

    - #### getMetadata

          public Map<CharSequence,ByteBuffer> getMetadata()

      Gets the value of the 'metadata' field. A multivalued metadata container used for storing a wide variety of host metadata such as structured web server characterists etc
      Overrides:
        `getMetadata` in class `Host`

    - #### setMetadata

          public void setMetadata(Map<CharSequence,ByteBuffer> value)

      Sets the value of the 'metadata' field. A multivalued metadata container used for storing a wide variety of host metadata such as structured web server characterists etc * @param value the value to set.
      Overrides:
        `setMetadata` in class `Host`

    - #### isMetadataDirty

          public boolean isMetadataDirty(Map<CharSequence,ByteBuffer> value)

      Checks the dirty status of the 'metadata' field. A field is dirty if it represents a change that has not yet been written to the database. A multivalued metadata container used for storing a wide variety of host metadata such as structured web server characterists etc * @param value the value to set.
      Overrides:
        `isMetadataDirty` in class `Host`

    - #### getOutlinks

          public Map<CharSequence,CharSequence> getOutlinks()

      Gets the value of the 'outlinks' field. Hyperlinks which direct outside of the current host domain these can used in a histogram style manner to generate host statistics
      Overrides:
        `getOutlinks` in class `Host`

    - #### setOutlinks

          public void setOutlinks(Map<CharSequence,CharSequence> value)

      Sets the value of the 'outlinks' field. Hyperlinks which direct outside of the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.
      Overrides:
        `setOutlinks` in class `Host`

    - #### isOutlinksDirty

          public boolean isOutlinksDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'outlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Hyperlinks which direct outside of the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.
      Overrides:
        `isOutlinksDirty` in class `Host`

    - #### getInlinks

          public Map<CharSequence,CharSequence> getInlinks()

      Gets the value of the 'inlinks' field. Hyperlinks which link to pages within the current host domain these can used in a histogram style manner to generate host statistics
      Overrides:
        `getInlinks` in class `Host`

    - #### setInlinks

          public void setInlinks(Map<CharSequence,CharSequence> value)

      Sets the value of the 'inlinks' field. Hyperlinks which link to pages within the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.
      Overrides:
        `setInlinks` in class `Host`

    - #### isInlinksDirty

          public boolean isInlinksDirty(Map<CharSequence,CharSequence> value)

      Checks the dirty status of the 'inlinks' field. A field is dirty if it represents a change that has not yet been written to the database. Hyperlinks which link to pages within the current host domain these can used in a histogram style manner to generate host statistics * @param value the value to set.
      Overrides:
        `isInlinksDirty` in class `Host`

Copyright © 2015 The Apache Software Foundation